//
// Copyright 2001 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wJobFieldsPane::
//   Displays output of jobspec -o


#ifndef p4wJobFieldsPane_H
#define p4wJobFieldsPane_H

#include "p4wSpecPane.h"

class StrDict;


class p4wJobFieldsPane : public p4wSpecPane {

public:

			p4wJobFieldsPane( p4wView & ParentView, 
				p4wRequest & Request );
	virtual		~p4wJobFieldsPane();

	//
	// Overrides for spec panes.
	
	virtual void	Begin();
	virtual	int	IgnoreField( const char * field );
	virtual	int	CustomField( const char * field, StrDict * varList, SpecElem *se );
};

#endif // p4wJobFieldsPane_H
